package task

import (
	"log-server/global"
)

type TaskConf struct {
	Id            int    `json:"id"`
	TaskId        int    `json:"task_id"`
	User          string `json:"user"`
	AddFeeNotice  int    `json:"add_fee_notice"`
	SimulatorType int    `json:"simulator_type"`
}

func (TaskConf) TableName() string {
	return "task_conf"
}

func (m *TaskConf) GetTaskConfByTaskId(taskId int) (taskConf TaskConf, err error) {
	err = global.GVA_DB.Table("task_conf").Where("task_id = ?", taskId).Find(&taskConf).Error
	return
}
